import request from '@/utils/request'

//分页第一层
export const getDeedsList = data => {
  return request({
    url: '/point-strategy/v/Deeds/getDeedsList',
    method: 'post',
    data
  })
}
//新增第一层
export const addDeeds = data => {
  return request({
    url: '/point-strategy/v/Deeds/addDeeds',
    method: 'post',
    data
  })
}
//删除第一层
export const deleteByIds = data => {
  return request({
    url: '/point-strategy/v/Deeds/deleteByIds',
    method: 'post',
    data
  })
}
//修改第一层
export const updateDeeds = data => {
  return request({
    url: '/point-strategy/v/Deeds/updateDeeds',
    method: 'post',
    data
  })
}


//分页第二层
export const deedsStoryList = data => {
  return request({
    url: '/point-strategy/v/Deeds/deedsStoryList',
    method: 'post',
    data
  })
}
//新增第二层
export const addDeedsStory = data => {
  return request({
    url: '/point-strategy/v/Deeds/addDeedsStory',
    method: 'post',
    data
  })
}
//删除第二层
export const deleteStoryByIds = data => {
  return request({
    url: '/point-strategy/v/Deeds/deleteStoryByIds',
    method: 'post',
    data
  })
}
//修改第二层
export const updateDeedsStory = data => {
  return request({
    url: '/point-strategy/v/Deeds/updateDeedsStory',
    method: 'post',
    data
  })
}



//获取目录下的文件
export const getDeedsFile = params => {
  return request({
    url: '/point-strategy/v/DeedsFile/getDeedsFile',
    method: 'get',
    params
  })
}
//删除文件
export const deleteFile = params => {
  return request({
    url: '/point-strategy/v/DeedsFile/deleteFile',
    method: 'post',
    params
  })
}
//上传原文
export const addDeedsFile = params => {
  return request({
    url: '/point-strategy/v/DeedsFile/addDeedsFile',
    method: 'post',
    params
  })
}
//将文件移入回收站
export const moveRecycle = data => {
  return request({
    url: '/point-strategy/v/DeedsFile/moveRecycle',
    method: 'post',
    data
  })
}
//恢复文件
export const RestoreFile = data => {
  return request({
    url: '/point-strategy/v/DeedsFile/RestoreFile',
    method: 'post',
    data
  })
}
